<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */
require_once dirname(__FILE__) . '/../wordpress/require.php';

require_once dirname(__FILE__) . '/config.php';

$config = new WordPress_Config(
    BLOG_URL,
    USER_NAME,
    PASSWORD
);

$obj = new WordPress_PostAPI($config);

//getRecentPosts();
newPost();
editPost();

function getRecentPosts()
{
    global $obj;

    $max_results = 10;

    $data = $obj->getRecentPosts($max_results);
    if ($obj->isError()) {
        echo $obj->getError();
        return;
    }
    var_dump($data);
}

function newPost()
{
    global $obj;

    $content = array(
        'title' => 'タイトル',
        'description' => "本文\n\n改行",
        'dateCreated' => WordPress_Util::createDateTime(time()),
        'categories' => array( // カテゴリ名を配列で
            '未分類'
        ),
        'mt_text_more' => '続き',
        'mt_keywords' => 'XML-RPC,TEST', // タグはカンマ区切りで
        'mt_allow_comments' => 1, // コメントを受け入れるか？
        'mt_allow_pings' => 1, // トラックバックを受け入れるか？
        'mt_convert_breaks' => 1, // 記事本文の改行を変換するか？
        'mt_excerpt' => '概要'
    );

    $publish = 0; // 下書き

    $data = $obj->newPost($content, $publish);
    if ($obj->isError()) {
        echo $obj->getError();
        return;
    }
    var_dump($data);
}

function editPost()
{
    global $obj;

    $content = array(
        'title' => 'タイトル',
        'description' => "本文\n\n改行",
        'dateCreated' => WordPress_Util::createDateTime(time()),
        'categories' => array( // カテゴリ名を配列で
            '未分類'
        ),
        'mt_text_more' => '続き',
        'mt_keywords' => 'XML-RPC,TEST', // タグはカンマ区切りで
        'mt_allow_comments' => 1, // コメントを受け入れるか？
        'mt_allow_pings' => 1, // トラックバックを受け入れるか？
        'mt_convert_breaks' => 1, // 記事本文の改行を変換するか？
        'mt_excerpt' => '概要'
    );

    $publish = 0; // 下書き

    $post_id = '134';

    $data = $obj->newPost($post_id, $content, $publish);
    if ($obj->isError()) {
        echo $obj->getError();
        return;
    }
    var_dump($data);
}
